### Method

# Shumate SymbolEvent get_feature_id

since: 1.1

#### Declaration [src]

    const char*
    shumate_symbol_event_get_feature_id (
      ShumateSymbolEvent* self
    )

#### Description [src]

Gets the feature ID as specified in the data source. The meaning of the ID, if any, is up to the source.

Feature IDs in Mapbox Vector Tile format are integers, but they are formatted as a string here for futureproofing.

Available since: 1.1

Gets property | `Shumate.SymbolEvent:feature-id`

#### Return value

Type: `const char*`

The feature ID.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.